#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,l,r=-1,p;
    cin>>n>>l;
    for(int i=1;i<=n;i++)
    {
        cin>>p;
        if(p<=l && r==-1)
        {
            r=i;
        }
    }
    cout<<r;
    return 0;
}